Bullet Collision Detection & Physics Library: GIM_PRIMITIVE_MANAGER_PROTOTYPE Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
GIM_PRIMITIVE_MANAGER_PROTOTYPE Class Referenceabstract

Prototype Base class for primitive classification. More...

`#include <gim_box_set.h>`

## Public Member Functions
virtual | ~GIM_PRIMITIVE_MANAGER_PROTOTYPE ()
virtual bool | is_trimesh ()=0
| determines if this manager consist on only triangles, which special case will be optimized
virtual GUINT | get_primitive_count ()=0
virtual void | get_primitive_box (GUINT prim_index, GIM_AABB &primbox)=0
virtual void | get_primitive_triangle (GUINT prim_index, GIM_TRIANGLE &triangle)=0

## Detailed Description

Prototype Base class for primitive classification.

This class is a wrapper for primitive collections. This tells relevant info for the Bounding Box set classes, which take care of space classification. This class can manage Compound shapes and trimeshes, and if it is managing trimesh then the Hierarchy Bounding Box classes will take advantage of primitive Vs Box overlapping tests for getting optimal results and less Per Box compairisons.

Definition at line 66 of file gim_box_set.h.

## Constructor & Destructor Documentation

## ◆ ~GIM_PRIMITIVE_MANAGER_PROTOTYPE()

virtual GIM_PRIMITIVE_MANAGER_PROTOTYPE::~GIM_PRIMITIVE_MANAGER_PROTOTYPE | ( |  | ) |
| inlinevirtual

Definition at line 69 of file gim_box_set.h.

## Member Function Documentation

## ◆ get_primitive_box()

virtual void GIM_PRIMITIVE_MANAGER_PROTOTYPE::get_primitive_box | ( | GUINT | prim_index,
|  | GIM_AABB & | primbox )
| pure virtual

## ◆ get_primitive_count()

virtual GUINT GIM_PRIMITIVE_MANAGER_PROTOTYPE::get_primitive_count | ( |  | ) |
| pure virtual

## ◆ get_primitive_triangle()

virtual void GIM_PRIMITIVE_MANAGER_PROTOTYPE::get_primitive_triangle | ( | GUINT | prim_index,
|  | GIM_TRIANGLE & | triangle )
| pure virtual

## ◆ is_trimesh()

virtual bool GIM_PRIMITIVE_MANAGER_PROTOTYPE::is_trimesh | ( |  | ) |
| pure virtual

determines if this manager consist on only triangles, which special case will be optimized

The documentation for this class was generated from the following file:

- gim_box_set.h